Create a checkout session
curl --request POST \
--url https://api.plexospay.com/v1/checkout/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"name": "<string>",
"quantity": 5000,
"unitPrice": 50000000,
"productId": "<string>",
"description": "<string>"
}
],
"amount": 50000000,
"customerId": "<string>",
"returnUrl": "<string>",
"completionUrl": "<string>",
"expiresInMinutes": 722,
"metadata": {}
}
'import requests
url = "https://api.plexospay.com/v1/checkout/sessions"
payload = {
"items": [
{
"name": "<string>",
"quantity": 5000,
"unitPrice": 50000000,
"productId": "<string>",
"description": "<string>"
}
],
"amount": 50000000,
"customerId": "<string>",
"returnUrl": "<string>",
"completionUrl": "<string>",
"expiresInMinutes": 722,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
name: '<string>',
quantity: 5000,
unitPrice: 50000000,
productId: '<string>',
description: '<string>'
}
],
amount: 50000000,
customerId: '<string>',
returnUrl: '<string>',
completionUrl: '<string>',
expiresInMinutes: 722,
metadata: {}
})
};
fetch('https://api.plexospay.com/v1/checkout/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cs_abc123",
"url": "https://pay.plexospay.com/cs_abc123",
"amount": "30000",
"returnUrl": "<string>",
"completionUrl": "<string>",
"customerId": "<string>",
"paymentIntentId": "<string>",
"items": [
{
"id": "<string>",
"productId": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 123,
"unitPrice": "<string>"
}
],
"metadata": {},
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Checkout Sessions
Create a Checkout Session
Create a shareable payment link for the customer.
POST
/
v1
/
checkout
/
sessions
Create a checkout session
Authorizations
API key starting with sk_live_ or sk_test_
Body
application/json
Show child attributes
Show child attributes
Fixed amount (alternative to items)
Required range:
1 <= x <= 100000000ISO currency code
Available options:
CVE, AOA Required range:
5 <= x <= 1440Arbitrary key-value metadata (max 50 keys)
Response
200 - application/json
Checkout session created
Example:
"cs_abc123"
Example:
"https://pay.plexospay.com/cs_abc123"
Example:
"30000"
ISO currency code
Available options:
CVE, AOA Available options:
OPEN, COMPLETED, EXPIRED Show child attributes
Show child attributes
Arbitrary key-value metadata (max 50 keys)
⌘I